Trigger pipeline
- PATCH
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
- /:action_id
Update Trigger pipeline action configuration
Warning
You can't change the type of an existing action. To change the type, remove the action and add it again.
Request example
curl -X PATCH "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions/:action_id" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "Trigger Pipeline Action",
"type": "RUN_NEXT_PIPELINE",
"trigger_time": "ON_EVERY_EXECUTION",
"environment": "$BUDDY_RUN_ENV_ID",
"comment": "Triggered by $BUDDY_PIPELINE_NAME execution #$BUDDY_EXECUTION_ID",
"next_pipeline": {
"id": 185088
},
"revision": "SPECIFIC",
"specific_revision": "#$BUDDY_EXECUTION_REF",
"wait": true,
"clear_cache": true,
"refresh": true,
"priority": "LOW",
"variables": [
{
"key": "key",
"value": "buddy",
"type": "VAR",
"settable": true,
"description": ""
}
],
"package": "$BUDDY_RUN_PACKAGE_VERSION"
}'STATUS200 OK